import 'dart:convert';
import 'package:crypto/crypto.dart';

class Utils {
  // 비밀번호를 SHA-256으로 인코딩하는 메서드 추가
  static String hashPassword(String password) {
    final bytes = utf8.encode(password); // 비밀번호를 UTF-8로 인코딩
    final digest = sha256.convert(bytes); // SHA-256 해시 생성
    return digest.toString(); // 해시 값을 문자열로 반환
  }
}
